From 7bde82f63c2f47d15b93d00c09747c52200fef1e Mon Sep 17 00:00:00 2001
From: "J.Luis" <root@heavydeck.net>
Date: Fri, 8 Jul 2022 23:34:15 +0000
Subject: [PATCH] Added CWD correction when running on AppImage.

---
 src/RageUtil.cpp | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/RageUtil.cpp b/src/RageUtil.cpp
index 0d9d978d27..93f5bf01c8 100644
--- a/src/RageUtil.cpp
+++ b/src/RageUtil.cpp
@@ -1151,9 +1151,17 @@ RString GetCwd()
 	char buf[PATH_MAX];
 	bool ret = getcwd(buf, PATH_MAX) != nullptr;
 	ASSERT(ret);
+
+        //If running on AppImage, return the correct cwd
+        if( getenv("APPIMAGE") && getenv("APPDIR") )
+        {
+                snprintf(buf, PATH_MAX, "%s/%s", getenv("APPDIR"), "usr/stepmania-5.1");
+                printf("Appimage detected; CWD at: %s\n", buf);
+        }
 	return buf;
 }
 
+
 /*
  * Calculate a standard CRC32.  iCRC should be initialized to 0.
  * References:
-- 
2.17.1

